Subject: Re: bug#25852: Users not updating their installations of Guix

From: Tomáš Čech <[email-masked]>
Date: Tue, 7 Mar 2017 07:33:30 +0100

On Mon, Mar 06, 2017 at 04:34:34PM -0500, Leo Famulari wrote:
>On Mon, Mar 06, 2017 at 10:12:21PM +0100, Ludovic Courtès wrote:
>> Leo Famulari <[email-masked]> skribis:
>>
>> > In my opinion, the recent bug #25775 (Can't install packages after guix
>> > pull) [0] exposed a sort of meta-bug: there are a significant number of
>> > users who were still using the guix-daemon from 0.10.0.
>> >
>> > It seems unlikely that they have been updating all of root's
>> > packages except for the guix package. Rather, I bet they never updated
>> > root's packages at all, for ~1 year.
>
>They could have been stuck with an old daemon if they copied the systemd
>or upstart service files we provide.
>
>That problem should be fixed by 613d0895b92c677e0639d5e77c55043e38e020c8
>(build: Don't embed absolute paths in .service and .conf service
>files.).

That is right. But

1) there was no release with this "fix"
2) I (as distro package maintainer) didn't take this patch manually as
   it is fragile and hacky. Have you considered fresh guix installation?

Best regards,

S_W